activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian McCallister <bri...@pobox.com>
Subject Re: Switching to ActiveMQ 4.2 to Java 5???
Date Thu, 16 Nov 2006 17:23:40 GMT

On Nov 16, 2006, at 1:55 AM, Endre StĂžlsvik wrote:

> Don't be too afraid of changing major-versions - other companies  
> routinely go much further than "one-uping": from 1.4 to 5.0 (:-)),  
> and 2.6 to 7 (Solaris), and 3.11 to 95, 4.0 to 2000, 2000 to  
> 'XP' (!), 4 to 6 (Netscape) and so on!! ;-)
>   Tomcat peculiarly went from 5.0 to 5.5 on its java 1.4->1.5  
> dependency change (which I believe they somewhat regret - that  
> story is rather difficult to get across without "eh, say again?!"s).

AMQ has been good so far about major numbers meaning incompatible  
wire format changes. I think this is a good idea, and a good thing to  
remain consistent on.

-Brian
Mime
View raw message